fontglide(6x)

NAME
fontglide - characters float onto the screen to form words

SYNOPSIS
fontglide [--display host:display.screen] [--window] [--root] [--window-id number][--install] [--visual visual] [--delay usecs] [--scroll] [--page] [--random] [--speed float] [--linger float] [--program sh-command] [--font font-name] [--bw int] [--trails] [--db] [--debug] [--fps]

DESCRIPTION
The fontglide program reads text from a subprocess and puts it on the screen using large characters that glide in from the edges, assemble, then disperse. Alternately, it can simply scroll whole sentences from right to left.

OPTIONS
fontglide accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay usecs
    The delay between steps of the animation, in microseconds: default 10000.

--page
    With this option, a page full of text will glide in, and disperse.

--scroll
    With this option, sentences will scroll by from right to left.

--random
    The default is to pick randomly between --page and --scroll.

--speed float
    How fast to animate; 2 means twice as fast, 0.5 means half as fast. Default 1.0.

--linger float
    How long to leave the assembled text on the screen in --page mode; 2 means twice as long, 0.5 means half as long. Default 1.0. (The more words there are on the screen, the longer it lingers.)

--program sh-command
    The command to run to generate the text to display. This option may be any string acceptable to /bin/sh. The program will be run at the end of a pipe, and any words that it prints to stdout will end up on the window. (Whitespace and line breaks are ignored.) If the program exits, it will be launched again after we have processed all the text it produced. Default: xscreensaver-text(6x).

--font string
    The base font pattern to use when loading fonts. The default is to search for any Latin1 scalable proportional fonts on the system. Once a base font is selected, it will be loaded in a random size.

--bw int
    How thick an outline to draw around the characters. Default 2 pixels.

--trails
    Leave "vapor trails" behind the moving text. Default off.

--no-db
    Turn off double-buffering. It may be faster, but will flicker.

--debug
    Draw some boxes showing character metrics, and print the name of the current font to stderr.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
xscreensaver(1), xscreensaver-text(6x), fortune(1), phosphor(6x), apple2(6x), starwars(6x), ljlatest(6x), dadadodo(1), webcollage(6x), driftnet(1) EtherPEG, EtherPeek

COPYRIGHT
Copyright © 2003 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 15-Sep-2003.